<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@datashaper/react](./react.md) &gt; [useInputTableNames](./react.useinputtablenames.md)

## useInputTableNames() function

Creates a dropdown list of id-names from the tables in a store TODO: for any given step, we should only show the tables created \*prior\* to this step, potentially via an optional filter callback on store.list. As it is, whenever the store is updated all the table dropdowns get the results.

<b>Signature:</b>

```typescript
export declare function useInputTableNames(workflow?: Workflow): string[];
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  workflow | Workflow | <i>(Optional)</i> |

<b>Returns:</b>

string\[\]


